ClientXADataSource (Apache Derby 10.2 API Documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.derby.jdbc
Class ClientXADataSource

    java.lang.Object
      org.apache.derby.jdbc.ClientBaseDataSource
          org.apache.derby.jdbc.ClientDataSource
              org.apache.derby.jdbc.ClientXADataSource

All Implemented Interfaces:
  javax.sql.DataSource, javax.naming.Referenceable, java.io.Serializable, javax.sql.XADataSource

public class ClientXADataSource
extends ClientDataSource
implements javax.sql.XADataSource

This is Derby's network XADataSource for use with JDBC3.0 and JDBC2.0.

An XADataSource is a factory for XAConnection objects. It represents a RM in a DTP environment. An object that implements the XADataSource interface is typically registered with a JNDI service provider.

ClientXADataSource automatically supports the correct JDBC specification version for the Java Virtual Machine's environment.

- JDBC 3.0 - Java 2 - JDK 1.4, J2SE 5.0
- JDBC 2.0 - Java 2 - JDK 1.2,1.3

ClientXADataSource is serializable and referenceable.

See ClientDataSource for DataSource properties.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `className__`

Fields inherited from class org.apache.derby.jdbc.ClientBaseDataSource
`CLEAR_TEXT_PASSWORD_SECURITY, connectionAttributes, ENCRYPTED_PASSWORD_SECURITY, ENCRYPTED_USER_AND_PASSWORD_SECURITY, propertyDefault_portNumber, propertyDefault_retrieveMessageText, propertyDefault_securityMechanism, propertyDefault_serverName, propertyDefault_traceFileAppend, propertyDefault_traceLevel, propertyDefault_user, securityMechanism, STRONG_PASSWORD_SUBSTITUTE_SECURITY, TRACE_ALL, TRACE_CONNECTION_CALLS, TRACE_CONNECTS, TRACE_DIAGNOSTICS, TRACE_DRIVER_CONFIGURATION, TRACE_NONE, TRACE_PARAMETER_META_DATA, TRACE_PROTOCOL_FLOWS, TRACE_RESULT_SET_CALLS, TRACE_RESULT_SET_META_DATA, TRACE_STATEMENT_CALLS, TRACE_XA_CALLS, traceLevel, USER_ONLY_SECURITY`

Constructor Summary
`ClientXADataSource()`

Method Summary
`javax.sql.XAConnection` | `getXAConnection()`
`javax.sql.XAConnection` | `getXAConnection(java.lang.String user, java.lang.String password)`

Methods inherited from class org.apache.derby.jdbc.ClientDataSource
`getConnection, getConnection`

Methods inherited from class org.apache.derby.jdbc.ClientBaseDataSource
`computeDncLogWriter, getConnectionAttributes, getDatabaseName, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getPassword, getPassword, getPortNumber, getReference, getRetrieveMessageText, getRetrieveMessageText, getSecurityMechanism, getSecurityMechanism, getSecurityMechanism, getServerName, getTraceDirectory, getTraceDirectory, getTraceFile, getTraceFile, getTraceFileAppend, getTraceFileAppend, getTraceLevel, getTraceLevel, getUpgradedSecurityMechanism, getUser, getUser, setConnectionAttributes, setDatabaseName, setDataSourceName, setDescription, setLoginTimeout, setLogWriter, setPassword, setPortNumber, setRetrieveMessageText, setSecurityMechanism, setServerName, setTraceDirectory, setTraceFile, setTraceFileAppend, setTraceLevel, setUser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.sql.XADataSource
`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Methods inherited from interface javax.sql.DataSource
`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Field Detail

### className__

    public static final java.lang.String className__

See Also:
  Constant Field Values

Constructor Detail

### ClientXADataSource

    public ClientXADataSource()

Method Detail

### getXAConnection

    public javax.sql.XAConnection getXAConnection()
                                           throws java.sql.SQLException

  Specified by:
    `getXAConnection` in interface `javax.sql.XADataSource`
  Throws:
    `java.sql.SQLException`

### getXAConnection

    public javax.sql.XAConnection getXAConnection(java.lang.String user,
                                                  java.lang.String password)
                                           throws java.sql.SQLException

  Specified by:
    `getXAConnection` in interface `javax.sql.XADataSource`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help

Built on Mon 2006-10-02 08:18:52-0700, from revision 452058

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache Derby 10.2 API Documentation - Copyright © 1997,2006 The Apache Software Foundation or its licensors, as applicable.